import { useRequest } from "@/use/useHttp"

/**
 *  企业认证信息获取
 * @returns 
 */
 export const certificationDetailApi = () => {
    return useRequest({
        url: `/v1/mall/company/authentication`,
        method: "get",
    })
}

/**
 *  企业认证信息提交 
 * @returns 
 */
 export const certificationSaveApi = () => {
    return useRequest({
        url: `/v1/mall/company/authentication`,
        method: "put",
    })
}

/**
 *  企业认证类型枚举列表
 * @returns 
 */
 export const certificationTypeListApi = () => {
    return useRequest({
        url: `/v1/mall/enum/companyAuthenticationType`,
        method: "get",
    })
}